[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# OnGetTempDir

Handler for GetTempDir function.

## Declaration

Source position: osutilsh.inc line 64

`var OnGetTempDir: TGetTempDirEvent;`

## Description

OnGetTempDir can be used to provide custom behaviour for the GetTempDir function. Note that the returned name should have a trailing directory delimiter character.

## See also

GetTempDir |  | Return name of system's temporary directory
OnGetTempFile |  | Handler for GetTempFileName function.

Documentation generated on: Feb 26 2014